
nav {
    display: flex;
    justify-content: center;
    gap: 20px;
    padding: 10px;
    color: black;
    text-decoration: none;
    font-weight: bold;
}

/*container*/

.container {

    display: grid;
    gap: 10px;
    padding: 10px;
}

.box {
    height: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    font-weight: bold;
}

/*mobile*/

.box1 {
    background-color: purple;
}

.box2{
    background-color: mediumblue;
}

.box3 {
    background-color: cadetblue;
}

.box4 {
    background-color: green;
}

.box5 {
    background-color: lightgreen;
}

.box6 {
    background-color: #a5a934;
}

.box7 {
    background-color: yellow;
}

.box8 {
    background-color: orange;
}

.box9 {
    background-color: red;
}

.box10 {
    background-color: hotpink;
}


/* Medium devices (landscape tablets, 768px and up) */

@media only screen and (min-width: 768px) {

/*layout 1*/

.layout1 {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-auto-rows: 80px;
    gap: 10px;
    padding: 10px;
    }

.layout1 .box {
    height: auto;
    }

.layout1 .box1 {
    grid-column: 1 / 4;
    }

.layout1 .box5 {
    grid-column: 1 / 3;
    grid-row: 3 / 5;
    }

.layout1 .box8 {
    grid-column: 1 / 3;
    }
.layout1 .box10 {
    grid-column: 1 / 4;
}

/*layout2*/

.layout2 .container {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 10px;
}

.layout2 .box1 {
    grid-column: 1 / 5;   
}

.layout2 .box2 {
    grid-column: 1 / 3;  
}

.layout2 .box3 {
    grid-column: 3 / 5;  
}

.layout2 .box4 {
    grid-column: 1 / 3;
}

.layout2 .box5 {
    grid-column: 3 / 5;
}

.layout2 .box6 {
    grid-column: 1 / 5;
}

.layout2 .box7 {
    grid-column: 1 / 2;
}

.layout2 .box8 {
    grid-column: 2 / 4;
}

.layout2 .box9 {
    grid-column: 4 / 5;
}

.layout2 .box10 {
    grid-column: 1 / 5;
    }
}

/* Large devices (laptops/desktops, 992px and up) */

@media only screen and (min-width: 992px) {

/*layout1*/

.layout1 {
    display: grid;
    grid-template-columns: repeat(4,1fr);
    grid-auto-rows: 80px;
    gap: 10px;
    padding: 10px;
}
.layout1 .box {
    height: auto;
}

.layout1 .box1 {
    grid-column: 1 / 4;
    grid-row: 1;

}
.layout1 .box2 {
    grid-column: 1 / 2;
    grid-row: 2;
}

.layout1 .box3 {
    grid-column: 2 / 4;
    grid-row: 2;

}
.layout1 .box4 {
    grid-column: 1 / 4;
    grid-row: 3 / 5;
}

.layout1 .box5 {
    grid-column: 1 / 2;
    grid-row: 5;
}

.layout1 .box6 {
    grid-column: 2 / 3;
    grid-row: 5;
}
 
.layout1 .box7 {
    grid-column: 3 / 4;
    grid-row: 5;
}

.layout1 .box8 {
    grid-column: 4 / 5;
    grid-row: 1;
}

.layout1 .box9 {
    grid-column: 4 / 5;
    grid-row: 2 / 5;
}

.layout1 .box10 {
    grid-column: 4 / 5;
    grid-row: 5;
}


/*layout2*/


.layout2 {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(4, 80px);
    gap: 10px;
    padding: 10px;
}

.layout2 .box {
    height: auto;
}

.layout2 .box1 {
    grid-column: 1;
    grid-row: 1;
}

.layout2 .box2 {
    grid-column: 1;
    grid-row: 2;
}

.layout2 .box3 {
    grid-column: 1;
    grid-row: 3;
}

.layout2 .box4 {
    grid-column: 1;
    grid-row: 4;
}

.layout2 .box5 {
    grid-column: 2;
    grid-row: 1;
}

.layout2 .box6 {
    grid-column: 2;
    grid-row: 2 / 4;
}

.layout2 .box7 {
    grid-column: 2;
    grid-row: 4;
}

.layout2 .box8 {
    grid-column: 3;
    grid-row: 1;
}

.layout2 .box9 {
    grid-column: 3;
    grid-row: 2 / 4;
}

.layout2 .box10 {
    grid-column: 3;
    grid-row: 4;
}

}